So-net無料ブログ作成

【Ubuntu 12.10 64bit】 DropBox (Nautilus-Dropbox 1.4.0-3) インストール。--- `GLIBCXX_3.4.11' not found のエラーが出る。(対処) [ubuntu]

Dropbox(Nautilus-Dropbox 1.4.0-3)をUbuntu 12.10 に入れてみました。

インストール方法は端末から下記のコマンドでできます。

sudo apt-get install nautilus-dropbox

インストール終了時に、2つほどウィザード画面(Nautilusの再起動とDropboxのスタート)を終了したのちに、下図のDropbox設定画面が起動するはずなのですが・・・

SS-dropbox-001.JPG

なぜか起動しないで、下図がでました。(・_・?)

SS-Dropbox_001.jpg

ここで「今後表示しない」を押すと、Dropbox設定画面(2つ上の図)が出ました。

後はウィザードの指示どおりインストールすれば完了です。

なぜ、インストール時に上図のエラーが出るのか原因不明です。

ただ上記の問題を調べていたら、コマンドラインからdropboxをスタートさせるとエラーが出ることが分かりました。

SS-dropbox-003.JPG

上図のメッセージを抜き出すと下記。

quantal@quetzal-VM:~$ dropbox start
Starting Dropbox.../var/lib/dropbox/.dropbox-dist/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/i386-linux-gnu/libproxy.so.1)
Failed to load module: /usr/lib/i386-linux-gnu/gio/modules/libgiolibproxy.so
Done!

それで調べてみたら、どうやらlibstdc++.so.6のバージョンが悪いみたいなので下記のコマンドで対処しました。対処しなくてもとりあえず動くようなので、対処が必須なのかは分かりません。

dropbox stop

cd /var/lib/dropbox/.dropbox-dist

sudo mv libstdc++.so.6 libstdc++.so.6.org

< 64 bit版の場合 >

sudo ln -s /usr/lib/x86_64-linux-gnu/libstdc++.so.6 .

< 32 bit版の場合 >

sudo ln -s /usr/lib/i386-linux-gnu/libstdc++.so.6 .

dropbox start

これでエラーは出なくなりました。

下図は32bit版のものです。

SS-dropbox-002.JPG

今のところDropboxは普通に使えています。

 

 ←Dropboxの解説本

    多分、この本にUbuntuでの使い方は
    載っていないと思います。
    ただ、この本。Kindle版があるようです。
    Amazon探していてKindle版があるのを、はじめて見ました。


nice!(0)  コメント(0) 
共通テーマ:パソコン・インターネット
メッセージを送る